package com.emr.dao.emrCode;

import com.emr.dao.CommomMapper;
import com.emr.entity.emrCode.T_Diag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface T_DiagMapper extends CommomMapper {
    int insert(T_Diag record);

    int insertSelective(T_Diag record);

    List<T_Diag> selectAllByPatientId(@Param("patientId")String patientId, @Param("diagNo")Short diagNo);

    void updateByPrimaryKeySelective(T_Diag record);

    void deleteDiagByPatientIdAndDiagNo(@Param("patientId")String patientId,@Param("diagNos")String diagNos);

    int SimpleUpdate(@Param("list")List<T_Diag> list);
}